-- Path 
local control_scripts_path = "__Booktorio__/control-scripts/"
local control_lib_path     = control_scripts_path .. "control-lib/control-lib-initialization"

-- Libs
ControlCallbackMerger = require(control_scripts_path .. "control-lib/control-callbacks-merger")
local ccm = ControlCallbackMerger:new()
require(control_lib_path)

-- Scrips
local scripts =
{
	-- Wiki GUI
	require(control_scripts_path .. "wiki"),
	-- Remotes for other modders
	require(control_scripts_path .. "public-remotes"),
	-- Standard booktorio thread
	require(control_scripts_path .. "booktorio-thread")
}

-- Load all callbacks from control scripts (not for GUI events)
for _, script in pairs(scripts) do
	if script.callback then
		ccm:addCallBack(script)
	else -- is multiple callbacks
		ccm:addCallBacks(script)
	end
end

-- GUI events
local ce = booktorio.gui.getCollectiveClickEventsCallback()
ccm:addCallBack({ce, "on_gui_click"})
local se = booktorio.gui.getCollectiveSelectEventsCallback()
ccm:addCallBack({se, "on_gui_selection_state_changed"})

-- Active merged callbacks
ccm:activeCallbacks()
