local styles = data.raw["gui-style"]["default"]

-- Windows frame
styles["bk-wiki-window"] =
{
	type   = "frame_style",	
	parent = "outer_frame",
	top_padding    = 2,
	bottom_padding = 36,
	right_padding  = 8,
	left_padding   = 8,
	graphical_set  =
	{
		filename = "__core__/graphics/gui-new.png",
		position = {0, 0},
		opacity = 0.90,
        background_blur = true,
		corner_size = 4, 
		draw_type = "outer" 	
	},
	use_header_filler = false,
	drag_by_title     = false,
	header_background =
	{
		center = {x = 8, y = 8, width = 1, height = 1}
	}
}

-- Main flow
styles["bk-wiki-window-flow"] =
{
	type = "horizontal_flow_style",
	top_padding    = 2,
	bottom_padding = 2,
	right_padding  = 8,
	left_padding   = 8,
	graphical_set =
	{
		base = 
		{
			filename = "__core__/graphics/gui-new.png",
			position = {12, 0},
			opacity = 0.0,
			background_blur = true,
			corner_size = 4, 
			draw_type = "inner" 
		}
	},
	vertical_align   = "center",
	horizontal_align = "center"
}

-- Box for left elements
styles["bk-wiki-left-window-flow"] =
{
	type = "vertical_flow_style",
	vertically_stretchable = "on",
    padding = 1,
	graphical_set =
	{
		filename = "__core__/graphics/gui-new.png",
		position = {0, 0},
		opacity = 0.0,
		background_blur = true
	}
}

-- Inside of right box where put description, this is the vertical box
styles["bk-wiki-right-window-flow"] =
{
	type = "vertical_flow_style",
	vertical_align = "top",
	horizontal_align = "left",
	vertically_stretchable   = "auto",
	horizontally_stretchable = "auto",
    padding = 1,
	graphical_set =
	{
		filename = "__core__/graphics/gui-new.png",
		position = {0, 0},
		opacity = 0.0,
		background_blur = true
	}	
}

-- Box where put description
styles["bk-wiki-description-flow"] =
{
	type = "scroll_pane_style",
	vertically_stretchable   = "auto",
	horizontally_stretchable = "off",
	vertical_scrollbar_style = { type = "vertical_scrollbar_style" },
	width   = 525,
	padding = 4,
	graphical_set = 
	{
		base = 
		{
			position = {0, 0}, 
			opacity = 0.95,
			corner_size = 8, 
			draw_type = "outer"
		},
		shadow = default_inner_shadow
	},
	vertical_flow_style =
	{
		type = "vertical_flow_style",
		vertical_spacing = 4,
		max_on_row = 1,
		bottom_padding = 4
	},
    background_graphical_set = {},
    extra_padding_when_activated = 4
}

styles["bk-wiki-back-button-flow"] =
{
	type = "horizontal_flow_style",
    horizontal_align = "left",
	natural_width = 150,
	natural_height = 50,
	vertically_stretchable = "off",
	top_padding = 8,
	left_padding = 2,
	bottom_padding = 2,
	margin = 2
}

styles["bk-wiki-tabbed-pane"] =
{
	type = "tabbed_pane_style",
	vertical_spacing = 0,
	padding = 0,
	tab_content_frame =
    {
		type = "frame_style",
		top_padding = 8,        
		graphical_set = 
		{
			base =
			{
				position = {68, 0},     
				corner_size = 8
			},
			shadow = default_shadow
		},
		background_blur = true
    },
	tab_container =
	{
		type = "horizontal_flow_style",
		left_padding = 12,
		right_padding = 12,
		graphical_set = 
		{
			base = 
			{
				position = {0, 0}, 
				opacity = 0.90,
				corner_size = 8, 
				draw_type = "inner"
			},
			shadow = default_inner_shadow
		},
		horizontal_spacing = 0
	},
	vertical_align   = "center",
	horizontal_align = "center"
}

-- Open button
local base_icon_button_grahphical_set =
{
	filename = "__core__/graphics/gui-new.png",
	stretch_image_to_widget_size = true,
	position = {0, 0},
	corner_size = 2,
	opacity = 0.2,
	draw_type = "outer",
	background_blur = true,
	scale = 1,
	border = 1
}
styles["bk-wiki-icon-button"] =
{
	type = "button_style",
	horizontal_align = "center",
	vertical_align = "center",
	icon_horizontal_align = "center",
	minimal_width = 36,
	height = 36,
	padding = 0,
	stretch_image_to_widget_size = true,
	default_graphical_set = base_icon_button_grahphical_set,
	hovered_graphical_set =
    {
		base = {position = {34, 17}, corner_size = 2, draw_type = "outer", opacity = 0.5},
        shadow = default_dirt,
        glow = default_glow(default_glow_color, 0.5)
	},
	clicked_graphical_set =
	{
		base   = {position = {51, 17}, corner_size = 2, draw_type = "outer", opacity = 0.5},
        shadow = default_dirt
	},
	selected_graphical_set =
	{
		base   = {position = {225, 17}, corner_size = 2, draw_type = "outer", opacity = 0.5},
		shadow = default_dirt
	},
	selected_hovered_graphical_set =
	{
		base   = {position = {369, 17}, corner_size = 2, draw_type = "outer", opacity = 0.5},
		shadow = default_dirt
	},
	strikethrough_color = {0.5, 0.5, 0.5},
	pie_progress_color = {1, 1, 1},
	left_click_sound =
	{
		{ filename = "__core__/sound/gui-click.ogg" }
	},
	draw_shadow_under_picture = true
}

-- Back button
styles["bk-wiki-back-button"] =
{
	type = "button_style",
	horizontal_align = "left",
	default_graphical_set = arrow_back(red_arrow_tileset, arrow_idle_index, "shadow", default_dirt_color),
	hovered_graphical_set = arrow_back(red_arrow_tileset, arrow_hovered_index, "glow", red_arrow_button_glow_color),
	clicked_graphical_set = arrow_back(red_arrow_tileset, arrow_clicked_index),
	disabled_font_color = {0.5, 0.5, 0.5},
	horizontally_squashable = "on",
	disabled_graphical_set = arrow_back(red_arrow_tileset, arrow_disabled_index, "glow", default_dirt_color)
}

-- Titles
styles["bk-title-flow"] =
{
	type = "vertical_flow_style",	
	max_on_row = 1,
	horizontally_stretchable = "on",
	vertical_spacing = 2,
	top_padding = 2,
	left_padding = 2,
	right_padding = 2,  
	top_margin = 2,
	left_margin = 2,
	right_margin = 2
}
styles["bk-title"] =
{
	type = "label_style",
	font = "default-large-bold",
	rich_text_setting = "enabled"
}
styles["bk-subtitle"] =
{
	type = "label_style",
	font = "default-bold",
	rich_text_setting = "enabled"
}
styles["bk-title-line"] =
{
	type = "line_style",
	border =
	{
		border_width = 8,
		left_end = {position = {184, 40}, size = 8},
		horizontal_line = {position = {176, 40}, size = {1, 8}},
		right_end = {position = {192, 40}, size = 8}
	}
}

-- Texts
styles["bk-text-flow"] =
{
	type = "horizontal_flow_style",	
	horizontally_stretchable = "on",
	vertical_spacing = 2,
    padding = 2,
	margin = 2
}

-- Description labels
styles["bk-wiki-description-label"] =
{
	type = "label_style",
	parent = "label",
	font = "default",
	rich_text_setting = "enabled",
	single_line = false,
    padding = 1,
	margin = 1
}

-- Images
styles["bk-wiki-image-flow"] =
{
	type = "horizontal_flow_style",	
	horizontally_stretchable = "on",
	vertical_spacing = 2,
    padding = 2,
	margin = 2
}